E-MailRelay

Public Types | Public Member Functions | List of all members
GSsl::OpenSSL::ProtocolImp Class Reference

An implementation of the GSsl::ProtocolImpBase interface for OpenSSL. More...

`#include <gssl_openssl.h>`

Inheritance diagram for GSsl::OpenSSL::ProtocolImp:

## Public Types
using | Result = Protocol::Result
using | Error = OpenSSL::Error
using | Certificate = OpenSSL::Certificate
using | CertificateChain = OpenSSL::CertificateChain

## Public Member Functions
| ProtocolImp (const ProfileImp &, const std::string &, const std::string &)
std::string | requiredPeerCertificateName () const
| ProtocolImp (const ProtocolImp &)=delete
| ProtocolImp (ProtocolImp &&)=delete
void | operator= (const ProtocolImp &)=delete
void | operator= (ProtocolImp &&)=delete
Public Member Functions inherited from GSsl::ProtocolImpBase
virtual | ~ProtocolImpBase ()=default
| Destructor.
virtual Protocol::Result | connect (G::ReadWrite &)=0
| Implements Protocol::connect().
virtual Protocol::Result | accept (G::ReadWrite &)=0
| Implements Protocol::accept().
virtual Protocol::Result | shutdown ()=0
| Implements Protocol::shutdown().
virtual Protocol::Result | read (char *, std::size_t, ssize_t &)=0
| Implements Protocol::read().
virtual Protocol::Result | write (const char *, std::size_t, ssize_t &)=0
| Implements Protocol::write().
virtual std::string | peerCertificate () const =0
| Implements Protocol::peerCertificate().
virtual std::string | peerCertificateChain () const =0
| Implements Protocol::peerCertificateChain().
virtual std::string | cipher () const =0
| Implements Protocol::cipher().
virtual std::string | protocol () const =0
| Implements Protocol::protocol().
virtual bool | verified () const =0
| Implements Protocol::verified().

## Detailed Description

An implementation of the GSsl::ProtocolImpBase interface for OpenSSL.

Definition at line 234 of file gssl_openssl.h.

## Member Typedef Documentation

## ◆ Certificate

using GSsl::OpenSSL::ProtocolImp::Certificate = OpenSSL::Certificate

Definition at line 239 of file gssl_openssl.h.

## ◆ CertificateChain

using GSsl::OpenSSL::ProtocolImp::CertificateChain = OpenSSL::CertificateChain

Definition at line 240 of file gssl_openssl.h.

## ◆ Error

using GSsl::OpenSSL::ProtocolImp::Error = OpenSSL::Error

Definition at line 238 of file gssl_openssl.h.

## ◆ Result

using GSsl::OpenSSL::ProtocolImp::Result = Protocol::Result

Definition at line 237 of file gssl_openssl.h.

## Constructor & Destructor Documentation

## ◆ ProtocolImp()

GSsl::OpenSSL::ProtocolImp::ProtocolImp | ( | const ProfileImp & | profile,
|  | const std::string & | required_peer_certificate_name,
|  | const std::string & | target_peer_host_name
| ) |  |

Definition at line 525 of file gssl_openssl.cpp.

## Member Function Documentation

## ◆ requiredPeerCertificateName()

std::string GSsl::OpenSSL::ProtocolImp::requiredPeerCertificateName | ( |  | ) | const

Definition at line 772 of file gssl_openssl.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.cpp